cREATE TABLE IF NOT EXISTS Authors (`authorId` INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, `firstname` TEXT, `lastname` TEXT, `email` TEXT, `username` TEXT, `password` TEXT, `role` INTEGER, `author_updated_at` INTEGER

CREATE TABLE IF NOT EXISTS Projects (`projectId` INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, `project_name` TEXT, `project_updated_at` INTEGER, `project_POS_internal_code` TEXT, `project_manager_id` INTEGER NOT NULL, FOREIGN KEY(`project_manager_id`) REFERENCES `authors`(`authorId`) ON UPDATE NO ACTION ON DELETE NO ACTION )

CREATE TABLE IF NOT EXISTS Annotations (`id` INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, `pictures` TEXT, `text` TEXT, `author_id` INTEGER NOT NULL, `project_id` INTEGER NOT NULL, `status` INTEGER, `created_at` INTEGER, `authorId` INTEGER, `firstname` TEXT, `lastname` TEXT, `email` TEXT, `username` TEXT, `password` TEXT, `role` INTEGER, `author_updated_at` INTEGER, `author_POS_internal_code` TEXT, `projectId` INTEGER, `project_name` TEXT, `project_updated_at` INTEGER, `project_POS_internal_code` TEXT, `project_manager_id` INTEGER, FOREIGN KEY(`author_id`) REFERENCES `authors`(`authorId`) ON UPDATE NO ACTION ON DELETE CASCADE , FOREIGN KEY(`project_id`) REFERENCES `projects`(`projectId`) ON UPDATE NO ACTION ON DELETE CASCADE );